<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="5dp"
    android:orientation="vertical"
    android:paddingStart="12dp"
    android:paddingEnd="12dp">

    <TextView
        android:id="@+id/class_tile"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:text="@string/text_app_name"
        android:textColor="@color/selector_text_color"
        android:textSize="18sp" />


    <FrameLayout
        android:id="@+id/btn_more"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:paddingEnd="5dp"
        android:paddingStart="5dp"
        android:layout_alignTop="@id/class_tile"
        android:layout_alignBottom="@id/class_tile"
        android:layout_alignParentEnd="true">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:padding="5dp"
            android:background="@drawable/shape_home_more"
            android:src="@drawable/black_direction_right" />
    </FrameLayout>


    <LinearLayout
        android:id="@+id/layout1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/class_tile"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/preview1"
            android:layout_width="wrap_content"
            android:layout_height="120dp"
            android:scaleType="fitXY"
            android:layout_weight="1" />

        <ImageView
            android:id="@+id/preview2"
            android:layout_width="wrap_content"
            android:layout_height="120dp"
            android:layout_marginStart="8dp"
            android:scaleType="fitXY"
            android:layout_weight="1" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/layout1"
        android:layout_marginTop="8dp"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/preview3"
            android:layout_width="wrap_content"
            android:layout_height="120dp"
            android:scaleType="fitXY"
            android:layout_weight="1" />

        <ImageView
            android:id="@+id/preview4"
            android:layout_width="wrap_content"
            android:layout_height="120dp"
            android:layout_marginStart="8dp"
            android:scaleType="fitXY"
            android:layout_weight="1" />
    </LinearLayout>

</RelativeLayout>